Package com.ads.mm.etl.xml.mapping

# Class MMDBEnvironment

java.lang.Object
com.ads.mm.etl.xml.mapping.MMUUID
com.ads.mm.etl.xml.mapping.MMDBEnvironment

public class MMDBEnvironment extends MMUUID

Author:
  Syed Abdul Rahim

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_DBMS_TYPE`

  ### Fields inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `_associatedIDs, _associatedUUIDs, uniqueName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMDBEnvironment(MMMappingUtil mappingUtil, String envName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTable(MMDBTable mmdbTable)`
  `MMDBTable`
  `addTable(String srcTableName)`
  `void`
  `copyProperties(MMDBEnvironment tgtEnvironment)`
  `MMDBTable`
  `ensureTableExists(String tableName)`
  `MMDBTable`
  `ensureTableExists(String tableName, String xpath)`
  `MMDBTable`
  `findTable(String srcTableName)`
  `MMDBTable`
  `findTable(String srcTableName, String declarationPath)`
  `MMDBTable`
  `findTableByEntityUID(String entityUID, String declarationPath)`
  `String`
  `getDbDriver()`
  `String`
  `getDBMSName()`
  `String`
  `getDBMSSchema()`
  `String`
  `getDBMSType()`
  `String`
  `getDbPassword()`
  `String`
  `getDbURL()`
  `String`
  `getDbUserName()`
  `String`
  `getEnvBusinessEntityType()`
  `String`
  `getEnvironmentName()`
  `String`
  `getHostAddress()`
  `String`
  `getHostPort()`
  `String`
  `getId()`
  `String`
  `getInformaticaFriendlyDBMSType()`
  `MMMappingUtil`
  `getMappingUtil()`
  `MMDBSystem`
  `getParentSystem()`
  `MMTableMap`
  `getTableMap()`
  `boolean`
  `isColumnDerived()`
  `void`
  `setColumnDerived(boolean columnDerived)`
  `void`
  `setDbDriver(String dbDriver)`
  `void`
  `setDBMSName(String dbmsName)`
  `void`
  `setDBMSSchema(String dbmsSchema)`
  `void`
  `setDBMSType(String dbmsType)`
  `void`
  `setDbPassword(String dbPassword)`
  `void`
  `setDbURL(String dbURL)`
  `void`
  `setDbUserName(String dbUserName)`
  `void`
  `setEnvBusinessEntityType(String envBusinessEntityType)`
  `void`
  `setEnvironmentName(String environmentName)`
  `void`
  `setHostAddress(String hostAddress)`
  `void`
  `setHostPort(String hostPort)`
  `void`
  `setId(String id)`
  `void`
  `setMappingUtil(MMMappingUtil mappingUtil)`
  `void`
  `setParentSystem(MMDBSystem parentSystem)`
  `void`
  `setTableMap(MMTableMap tablesMap)`
  `String`
  `toString()`
  `void`
  `toString(StringBuilder sbu)`

  ### Methods inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `addAssociatedCrossID, addAssociatedID, addAssociatedUUID, getAssociatedCrossID, getAssociatedID, getAssociatedUUID, getUniqueName, getUUID, setAssociatedIDCount, setUniqueName, setUUID`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_DBMS_TYPE

    public static final String DEFAULT_DBMS_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MMDBEnvironment

    public MMDBEnvironment(MMMappingUtil mappingUtil, String envName)

- ## Method Details

  - ### getEnvironmentName

    public String getEnvironmentName()
    Returns:
      the environmentName

  - ### setEnvironmentName

    public void setEnvironmentName(String environmentName)
    Parameters:
      `environmentName` - the environmentName to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public void toString(StringBuilder sbu)

  - ### addTable

    public MMDBTable addTable(String srcTableName)

  - ### addTable

    public void addTable(MMDBTable mmdbTable)

  - ### findTable

    public MMDBTable findTable(String srcTableName)

  - ### findTable

    public MMDBTable findTable(String srcTableName, String declarationPath)

  - ### findTableByEntityUID

    public MMDBTable findTableByEntityUID(String entityUID, String declarationPath)

  - ### getId

    public String getId()
    Returns:
      the id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - the id to set

  - ### getHostAddress

    public String getHostAddress()
    Returns:
      the hostAddress

  - ### setHostAddress

    public void setHostAddress(String hostAddress)
    Parameters:
      `hostAddress` - the hostAddress to set

  - ### getHostPort

    public String getHostPort()
    Returns:
      the hostPort

  - ### setHostPort

    public void setHostPort(String hostPort)
    Parameters:
      `hostPort` - the hostPort to set

  - ### getDBMSName

    public String getDBMSName()
    Returns:
      the dbmsName

  - ### setDBMSName

    public void setDBMSName(String dbmsName)
    Parameters:
      `dbmsName` - the dbmsName to set

  - ### getDBMSSchema

    public String getDBMSSchema()
    Returns:
      the dbmsSchema

  - ### setDBMSSchema

    public void setDBMSSchema(String dbmsSchema)
    Parameters:
      `dbmsSchema` - the dbmsSchema to set

  - ### getDbUserName

    public String getDbUserName()
    Returns:
      the dbUserName

  - ### setDbUserName

    public void setDbUserName(String dbUserName)
    Parameters:
      `dbUserName` - the dbUserName to set

  - ### getDbPassword

    public String getDbPassword()
    Returns:
      the dbPassword

  - ### setDbPassword

    public void setDbPassword(String dbPassword)
    Parameters:
      `dbPassword` - the dbPassword to set

  - ### getDbURL

    public String getDbURL()
    Returns:
      the dbURL

  - ### setDbURL

    public void setDbURL(String dbURL)
    Parameters:
      `dbURL` - the dbURL to set

  - ### getDbDriver

    public String getDbDriver()
    Returns:
      the dbDriver

  - ### setDbDriver

    public void setDbDriver(String dbDriver)
    Parameters:
      `dbDriver` - the dbDriver to set

  - ### getTableMap

    public MMTableMap getTableMap()
    Returns:
      the _tablesMap

  - ### setTableMap

    public void setTableMap(MMTableMap tablesMap)
    Parameters:
      `tablesMap` - the _tablesMap to set

  - ### getMappingUtil

    public MMMappingUtil getMappingUtil()
    Returns:
      the _mapping

  - ### setMappingUtil

    public void setMappingUtil(MMMappingUtil mappingUtil)
    Parameters:
      `mappingUtil` - the _mapping to set

  - ### getDBMSType

    public String getDBMSType()
    Returns:
      the dbmsType

  - ### getInformaticaFriendlyDBMSType

    public String getInformaticaFriendlyDBMSType()

  - ### setDBMSType

    public void setDBMSType(String dbmsType)
    Parameters:
      `dbmsType` - the dbmsType to set

  - ### getParentSystem

    public MMDBSystem getParentSystem()
    Returns:
      the parentSystem

  - ### setParentSystem

    public void setParentSystem(MMDBSystem parentSystem)
    Parameters:
      `parentSystem` - the parentSystem to set

  - ### isColumnDerived

    public boolean isColumnDerived()
    Returns:
      the columnDerived

  - ### setColumnDerived

    public void setColumnDerived(boolean columnDerived)
    Parameters:
      `columnDerived` - the columnDerived to set

  - ### ensureTableExists

    public MMDBTable ensureTableExists(String tableName)

  - ### getEnvBusinessEntityType

    public String getEnvBusinessEntityType()

  - ### setEnvBusinessEntityType

    public void setEnvBusinessEntityType(String envBusinessEntityType)

  - ### ensureTableExists

    public MMDBTable ensureTableExists(String tableName, String xpath)

  - ### copyProperties

    public void copyProperties(MMDBEnvironment tgtEnvironment)